Friday, February 20, 2009

Cadence cdsdoc problem and solution in OpenSuse 11.1

Hi there
===========
1.First of all I try to run "cdsdoc -test" from a terminal and get this message:

[gvit@ws09]<~> 210 # cdsdoc -test

CDSDoc 2.1 Installation verification

Check system - Linux ws09 2.6.27.7-9-pae #1 SMP 2008-12-04 18:10:04 +0100 i686 i686 i386 GNU/Linux
Checking installation directory... Done.
Checking user environment variables... Done.
Checking Netscape, make sure Netscape 4.51 (or higher) is in your PATH ...

--- Warning: Netscape NOT found ---

Checking Directory Structure...
Directory Structure Check passed
Done.

================
2. This I solved such way:
- login as root
- make a file "netscape" in "/usr/bin"
- write these lines below and save file:
*****
#!/bin/sh
exec firefox $@
*****
- change permision of "netscape" to all executable:
chmod a+x /usr/bin/netscape
===============
3. Now run "cdsdoc -test" should look like this:
[gvit@ws09]<~> 207 # cdsdoc -test

CDSDoc 2.1 Installation verification

Check system - Linux ws09 2.6.27.7-9-pae #1 SMP 2008-12-04 18:10:04 +0100 i686 i686 i386 GNU/Linux
Checking installation directory... Done.
Checking user environment variables... Done.
Checking Netscape, make sure Netscape 4.51 (or higher) is in your PATH ...
Mozilla Firefox 3.0.6, Copyright (c) 1998 - 2009 mozilla.org
Checking Directory Structure...
Directory Structure Check passed
Done.
==============
4. Running command "cdsdoc &" and clicking "Search" button can show this error:
[gvit@ws09]<~> 209 # CDSDoc, version 2.1
Copyright © 2000-2003, Cadence Design Systems, Inc.
Starting browser ...
./https: error while loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
================
5. You can solve this such way:
- login as root
- type command "zypper install compat"


Now everything should be ok
All the best ;)

2 comments:

  1. Hello, I wonder if you can post instructions on howto install Cadence products on openSuse 11.1. I am having problems running allegro after installation. I think some dependencies are out of version. But I am still novice in openSuse. Thanks!

    ReplyDelete
  2. After step 2.
    I got this line
    "line 2: exec: firefox-version: not found"

    instead of
    "Mozilla Firefox 3.0.6, Copyright (c) 1998 - 2009 mozilla.org"

    Please help me.. Urgent
    my email id: vineethkaimal1989@gmail.com

    ReplyDelete